﻿using System;
using System.Collections.Generic;

namespace Strategy
{
    class PictureCollection
    {
        List<Picture> pictures = new List<Picture>();
        IView[] viewer = new IView[2];
        int mode;
        public PictureCollection()
        {
            viewer[0] = new VerifyViewer();
            viewer[1] = new SimpleViewer();
            SetMode(0);
        }
        public void Add(Picture picture)
        {
            pictures.Add(picture);
        }
        public void SetMode(int mode)
        {
            if(mode==1)	
            {
                this.mode = 1;    
            }
            else
            {
                this.mode = 0;    
            }
        }	
        public void View()
        {		
            ViewMode();
            IView iview = viewer[mode];
            foreach(Picture picture in pictures)
            {
                iview.ViewPicture(picture);
            }
        }
        private void ViewMode()
        {
            if(mode==1)	
            {
                Console.WriteLine("간략 보기 모드");      
            }
            else
            {
                Console.WriteLine("자세히 보기 모드"); 
            }
        }

    }
}
